package agilpizza;

import agilpizza.selenium.SeleniumTestCase;
import org.junit.*;
import static org.junit.Assert.*;

public class PaginaListaPedidosTest extends SeleniumTestCase {

	@Test
	public void testaMudaEstadoPedido() {
		sel.open(CONTEXTO + "/administracao/listaPedidos.jsp");
		assertTrue(sel.isTextPresent("Lista de Pedidos"));
		assertEquals("Pedido", sel.getText("Estado1"));
		assertTrue(sel.isElementPresent("linkFazendo1"));
		sel.clickAndWait("linkFazendo1");
		assertEquals("Em preparação", sel.getText("Estado1"));
	}

	@Test
	public void testaMudaEstadoPizza() {
		sel.open(CONTEXTO + "/administracao/listaPedidos.jsp");
		assertTrue(sel.isTextPresent("Lista de Pedidos"));
		assertEquals("Pedida", sel.getText("EstadoPizza1-1"));
		assertTrue(sel.isElementPresent("linkPizzaPronta1-1"));
		sel.clickAndWait("linkPizzaPronta1-1");
		assertEquals("Pronta", sel.getText("EstadoPizza1-1"));
	}
}
